Retrieves a car travel with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
car_travel| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| user_id |
Foreign key of User |
globally unique identifier |
Required |
| car_id |
Foreign key of Car |
globally unique identifier |
Required |
| hour_type_id |
Foreign key of the hour type |
globally unique identifier |
Required |
| date_from_rounded |
Date+Time travel FROM |
date |
Required |
| date_to_rounded |
Date+Time travel TO |
date |
Required |
| notes |
Additional notes field |
string | |
| to_travel_type_code |
Kind of travel. Can be |
string |
Required |
| is_approved |
Inform if this user_timesheet belongs to a week approved (readonly) |
boolean | |
| property_1_checked |
True/False status of property 1 |
boolean | |
| property_2_checked |
True/False status of property 2 |
boolean | |
| property_3_checked |
True/False status of property 3 |
boolean | |
| property_4_checked |
True/False status of property 4 |
boolean | |
| property_5_checked |
True/False status of property 5 |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| km_distance |
Distance traveled |
integer | |
| km_private |
Personal distance traveled |
integer | |
| from_travel_type_code |
Travel type when going to location |
string | |
| from_db_table_name |
Value of linked table |
string | |
| from_id_in_table |
Foreign key to object traveling from |
globally unique identifier | |
| to_db_table_name |
Value of linked table |
string | |
| to_id_in_table |
Foreign key to object traveling from |
globally unique identifier |
Response Formats
application/json, text/json
{
"id": "a47967aa-a5c4-4e0a-b745-4b7c13bd2bf9",
"user_id": "a74d7b53-8e37-475e-ad7b-a673709dd14f",
"car_id": "7d3ffe4d-fbc3-45d8-83a6-dd9744953d2e",
"hour_type_id": "dc0041cf-653d-44dd-888c-2841470abf6c",
"date_from_rounded": "2026-02-24T16:15:42.0319924+00:00",
"date_to_rounded": "2026-02-24T16:15:42.0319924+00:00",
"notes": "sample string 7",
"to_travel_type_code": "sample string 8",
"is_approved": true,
"property_1_checked": true,
"property_2_checked": true,
"property_3_checked": true,
"property_4_checked": true,
"property_5_checked": true,
"modified_dateutc": "2026-02-24T16:15:42.0319924+00:00",
"km_distance": 16,
"km_private": 17,
"from_travel_type_code": "sample string 18",
"from_db_table_name": "sample string 19",
"from_id_in_table": "42af9937-9c97-4e1f-b69a-cc2b1946a010",
"to_db_table_name": "sample string 21",
"to_id_in_table": "f9d336e7-85d8-4635-aa18-cf15d027ac2c"
}